package com.libreecm.input.repositoriesImpl;

/**
 * Repository Types Enum. 
 */
public enum RepositoryType {

	    DBREPOSITORY("DBRepository"), FSREPOSITORY("FSRepository"), ZIPPEDFSREPOSITORY("ZippedFSRespository");
	    private final String value;

	    RepositoryType(String v) {
	        value = v;
	    }

	    public String value() {
	        return value;
	    }

	    public static RepositoryType fromValue(String v) {
	        for (RepositoryType c : RepositoryType.values()) {
	            if (c.value.equals(v)) {
	                return c;
	            }
	        }
	        throw new IllegalArgumentException(v);
	    }

	}


